<?php
/**
 * @copyright: Copyright © 2020 Firebear Studio GmbH. All rights reserved.
 * @author: Firebear Studio <fbeardev@gmail.com>
 */
namespace Firebear\PlatformSap\Plugin\Ui\DataProvider\Import\Job\Form\Modifier;

use Firebear\ImportExport\Ui\DataProvider\Import\Job\Form\Modifier\DeferredImages as ModifierDeferredImages;

/**
 * Class DeferredImages
 * @package Firebear\PlatformSap\Plugin\Ui\DataProvider\Import\Job\Form
 */
class DeferredImages
{
    /**
     * @param DeferredImages $model
     * @param $result
     * @return mixed
     */
    public function afterModifyMeta(
        ModifierDeferredImages $model,
        $result
    ) {
        $result['source']['children']['deferred_images']['arguments']['data']['config']['sortOrder'] = 210;
        return $result;
    }
}
