<?php
/**
 * Copyright © Firebear Studio GmbH, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace Firebear\PlatformSap\Model\Order\Shipment;

use Magento\Sales\Api\Data\ShipmentItemCreationInterface;

/**
 * Class ItemCreation
 */
class ItemCreation extends \Magento\Sales\Model\Order\Shipment\ItemCreation implements \Firebear\PlatformSap\Api\Data\ShipmentItemCreationInterface
{
    /**
     * @var string
     */
    private $sku;

    /**
     * {@inheritdoc}
     */
    public function getSku()
    {
        return $this->sku;
    }

    /**
     * {@inheritdoc}
     */
    public function setSku(string $sku)
    {
        $this->sku = $sku;
        return $this;
    }
}
